﻿using System.Linq;
using System.Drawing;
using Infragistics.Win;
using Infragistics.Win.UltraWinTree;

namespace UltraTreeWithPIcturesAndColorText
{
    public class CreationFilter : IUIElementCreationFilter
    {
        public const int NewPicturesLocationX = 210;
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is NodeSelectableAreaUIElement)
            {
                NodeSelectableAreaUIElement nodeSelectableArea = parent as NodeSelectableAreaUIElement;
                UIElement currentRightPicture = nodeSelectableArea.ChildElements.OfType<ImageUIElement>().OrderByDescending(el => el.Rect.X).FirstOrDefault();

                if (currentRightPicture == null)
                {
                    return;
                }

                UIElement currentTreeNode = parent.Parent;

                int treeNodeWidth = currentTreeNode.Rect.Width;
                int curentPictureX = currentRightPicture.Rect.X;

                int newTreeNodeWidth = treeNodeWidth + (NewPicturesLocationX - curentPictureX);
                int pictureOffsetX = NewPicturesLocationX - curentPictureX;

                currentTreeNode.Rect = new Rectangle(currentTreeNode.Rect.Location, new Size(newTreeNodeWidth, currentTreeNode.Rect.Height));
                currentRightPicture.Offset(pictureOffsetX, 0, true);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}