﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace UltraTreeWithPIcturesAndColorText
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.groupsTableAdapter1.Fill(myDatabaseDataSet.Groups);
            this.productsTableAdapter1.Fill(myDatabaseDataSet.Products);

            this.ultraTree1.ViewStyle = ViewStyle.Standard;
            Image gruopLeftImage = Image.FromFile(@"..\..\imgs\GroupLeftImage.png");
            Image gruopRightImage = Image.FromFile(@"..\..\imgs\GroupRightImage.png");
            Image productLeftImage = Image.FromFile(@"..\..\imgs\ProductsLeftImage.png");
            Image productRightImage = Image.FromFile(@"..\..\imgs\ProductsRightImage.png");

            foreach (var node in this.ultraTree1.Nodes)
            {
                node.LeftImages.Add(gruopLeftImage);
                node.RightImages.Add(gruopRightImage);

                foreach (var innerNode in node.Nodes)
                {
                    innerNode.LeftImages.Add(productLeftImage);
                    innerNode.RightImages.Add(productRightImage);
                }
            }

            this.ultraTree1.DrawFilter = new DrawFilter();
            this.ultraTree1.CreationFilter = new CreationFilter();
        }
    }
}
